SettleMint
Events

token.transfer.pending

A token transfer was observed before block inclusion and may later finalize or retract.

A token transfer was observed before block inclusion and may later finalize or retract.

Delivery contract

FieldValue
Event typetoken.transfer.pending
Version1
Lifecycle statepending
Counter-signed receiptsNo event-specific advice
SDK typeWebhook.TokenTransferPendingV1

This row gives advice only. DALP waits for a counter-signed receipt only if the webhook endpoint's counterSignedReceipts value is true when DALP queues the delivery. When the value is false, a normal 2xx response completes the delivery.

Related references:

  • idxr_token

Payload schema

{
  "type": "object",
  "properties": {
    "tokenAddress": {
      "type": "string"
    },
    "chainId": {
      "type": "integer",
      "exclusiveMinimum": 0
    },
    "from": {
      "type": "string"
    },
    "to": {
      "type": "string"
    },
    "amount": {
      "type": "string"
    },
    "transactionHash": {
      "type": "string"
    }
  },
  "required": [
    "tokenAddress",
    "chainId",
    "from",
    "to",
    "amount",
    "transactionHash"
  ],
  "additionalProperties": false
}

TypeScript SDK example

import { verifyWebhook } from "@settlemint/dalp-sdk/verify-webhook";
import type { Webhook } from "@settlemint/dalp-sdk";

const result = await verifyWebhook({
  rawBody,
  headers,
  secret: process.env.DALP_WEBHOOK_SECRET!,
});

if (!result.ok) {
  throw new Error(`Webhook verification failed: ${result.code}`);
}

if (result.event.type === "token.transfer.pending") {
  const event: Webhook.Event<"token.transfer.pending"> = result.event;
  console.log(event.payload);
}

curl example

curl -X POST https://consumer.example.com/dalp/webhooks \
  -H "content-type: application/json" \
  -H "webhook-id: evt_8cc492ed6db158536977542abeecb2ab" \
  -H "webhook-timestamp: 1778112000" \
  -H "webhook-signature: v1,docs-example-signature" \
  --data '{"evt_id":"evt_8cc492ed6db158536977542abeecb2ab","lifecycle_state":"pending","payload":{"tokenAddress":"0x8888888888888888888888888888888888888888","chainId":537001,"from":"0x9999999999999999999999999999999999999999","to":"0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa","amount":"1000000000000000000","transactionHash":"0xdddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd"},"related":{"idxr_token":"idxr_token_example"},"type":"token.transfer.pending","version":1,"request":{"idempotency_key":"idem_01JZP7R5W8M9N0P1Q2R3S4T5"}}'

Version history

  • v1: Initial registry entry for token.transfer.pending.

Deprecation

This event type is not deprecated.

Manifest

The machine-readable AsyncAPI entry is published in the DALP events manifest.

On this page